Bug 28590 - get_shelves_userenv and set_shelves_userenv not used
Summary: get_shelves_userenv and set_shelves_userenv not used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 7310
Blocks: 28572
  Show dependency treegraph
 
Reported: 2021-06-18 08:26 UTC by Jonathan Druart
Modified: 2021-07-09 12:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28590: Remove get_shelves_userenv and set_shelves_userenv (2.47 KB, patch)
2021-06-18 08:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28590: Remove get_shelves_userenv and set_shelves_userenv (2.56 KB, patch)
2021-06-21 11:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-06-18 08:26:19 UTC
We should remove them, the get is never used, and the set is storing info in userenv that is never read.
Comment 1 Jonathan Druart 2021-06-18 08:30:10 UTC
Created attachment 122109 [details] [review]
Bug 28590: Remove get_shelves_userenv and set_shelves_userenv

They are no longer used since bug 7310, now we are using
Koha::Virtualshelves->get_some_shelves

Test plan:
Create some lists, login at the OPAC and confirm that you see
the list in the navbar (top)
Comment 2 Marcel de Rooy 2021-06-21 11:32:43 UTC
Looking here now
Comment 3 Marcel de Rooy 2021-06-21 11:40:38 UTC
(In reply to Jonathan Druart from comment #1)
> They are no longer used since bug 7310, now we are using
> Koha::Virtualshelves->get_some_shelves

Hmm. That wasnt yesterday ;)
Comment 4 Marcel de Rooy 2021-06-21 11:41:15 UTC
Created attachment 122222 [details] [review]
Bug 28590: Remove get_shelves_userenv and set_shelves_userenv

They are no longer used since bug 7310, now we are using
Koha::Virtualshelves->get_some_shelves

Test plan:
Create some lists, login at the OPAC and confirm that you see
the list in the navbar (top)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2021-06-21 11:41:41 UTC
QA in one pass
Comment 6 Jonathan Druart 2021-06-22 10:15:03 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-09 12:23:06 UTC
Enhancement not backported to 21.05.x